## qhull 2020.2

=== CMakeLists.txt ===
# CMakeLists.txt -- CMake configuration file for qhull, qhull6, and related programs
#
# CMake options
#   BUILD_SHARED_LIBS=OFF -- Do not build libqhull_r.so
#   BUILD_STATIC_LIBS=OFF -- Do not build libqhullcpp.a, libqhullstatic_r.a, libqhullstatic.a, and user_eg3
#   CMAKE_INSTALL_PREFIX=path -- Prefix for the install directories
#   LINK_APPS_SHARED=ON -- Link qconvex,etc. to libqhull_r instead of libqhullstatic_r
#
# 32-bit vs. 64-bit
#   Qhull uses less memory when built as 32-bit code
#   On 64-bit hosts, consider building with -DCMAKE_CXX_FLAGS=-m32 -DCMAKE_C_FLAGS=-m32
#
# Additional build targets
#   libqhull -- Deprecated, shared library for non-reentrant Qhull (use libqhull_r or libqhullstatic)
#   qhull_p -- Deprecated, shared library for qh_QHpointer and non-reentrant Qhull (use libqhull_r)
#   qhullp -- Same as qhull using qh_QHpointer and libqhull_p
#   user_egp -- Same as user_eg using qh_QHpointer and libqhull_p
#
# For qhulltest, use the Qt build (src/qhull-all.pro)
#
# To install CMake
#   Download from http://www.cmake.org/download/
#
# To find the available targets for CMake -G "..."
#   cmake --help
#
# To build with MSYS, MSYS2, mingw, mingw-w64, or GitForWindows
#   cd build && cmake -G "MSYS Makefiles" .. && cmake ..
#   make
#   make install
#
# To build Qhull with Visual Studio projects, run cmake twice
#   To install bin/doc/include/lib in the current directory
#      mkdir -p build-cmake && cd build-cmake && cmake -G "Visual Studio 11 2012" .. && cmake -DCMAKE_INSTALL_PREFIX=.. ..
#      mkdir -p build-cmake && cd build-cmake && cmake -G "Visual Studio 11 2012 Win64" .. && cmake -DCMAKE_INSTALL_PREFIX=.. ..
#   To install into Program Files/qhull
#      mkdir -p build-cmake && cd build-cmake && cmake -G "Visual Studio 11 2012" .. && cmake ..
#      mkdir -p build-cmake && cd build-cmake && cmake -G "Visual Studio 11 2012 Win64" .. && cmake ..
#   To build for Visual Studio 2005 and install into Program Files/qhull
#      mkdir -p build-cmake && cd build-cmake && cmake -G "Visual Studio 8 2005" .. && cmake  ..
#      mkdir -p build-cmake && cd build-cmake && cmake -G "Visual Studio 8 2005 Win64" .. && cmake  ..
#   Double click build-cmake/qhull-all.sln
#   Build INSTALL to copy files into C:/Program Files/qhull
#
# To uninstall on unix or MSYS/mingw
#   make uninstall
#
# Notes on Visual Studio projects
#   You may need to copy bin/msvcr80.dll into C:/Program Files/qhull/bin
#   If using library debug targets, please rename with '_d' (e.g., qhullstatic_d.lib)
# 
# Troubleshooting
#   "No CMAKE_C_COMPILER could be found"
#     cmake was not able to find the build environment specified (e.g., Visual Studio 11)
# 
# Qhull ships with CMake-derived sln and proj files for DevStudio 8 2005
#   See eg/make-vcproj.sh
#   Change to relative paths
#   Remove ZERO_CHECK, ALL_BUILD, and INSTALL projects
#   Change targets to bin/ and lib/ directories
#   Disable incremental linking and ilk files (LinkIncremental="1")
#   Disable Run-Time Type Info (rtti)
#   Remove src/libqhullcpp from most of the AdditionalIncludeDirectories
#   Remove CMAKE_INTDIR from PreprocessorDefinitions
#   Adjust target names and destinations (e.g., lib/libqhullstatic_rd.a)
#  
# $Id: //main/2019/qhull/CMakeLists.txt#21 $$Change: 3039 $
# $DateTime: 2020/09/03 21:26:22 $$Author: bbarber $

project(qhull)
cmake_minimum_required(VERSION 3.0)

# Define qhull_VERSION in README.txt, Announce.txt, qh-get.htm, CMakeLists.txt
#   qhull-zip.sh (twice), qhull-wiki.md, qhull-news.htm, File_id.diz, index.htm
#   qhull-warn.pri (VERSION), qhull-exports.def (VERSION), qhull_p-exports.def, qhull_r-exports.def
set(qhull_VERSION2 "2020.2  2020/08/31")  # not used, See global.c, global_r.c, rbox.c, rbox_r.c
set(qhull_VERSION  "8.0.2")  # Advance every release

# SOVERSION -- qhull 2003 = empty, 2009 = 5, 2010-2012 = 6, 2015-2019 = 7, 2020 = 8.0
# Increase SOVERSION if ABI breaks (abi-compliance-checker)
set(qhull_SOVERSION 8.0) # For SOVERSION 

# If MSYS, set CMAKE_INSTALL_PREFIX to /usr/local; if WINDOWS, '..'
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    if(MSYS)
    	execute_process(
            COMMAND sh -c 'cd / && pwd -W'
            OUTPUT_VARIABLE MSYS_PWD
            ERROR_VARIABLE MSYS_ERR
        )
        if(MSYS_ERR STREQUAL "")
            string(REPLACE "\n" "" MSYS_ROOT ${MSYS_PWD})
            set(CMAKE_INSTALL_PREFIX "${MSYS_ROOT}/usr/local" CACHE PATH "Install to ${MSYS_ROOT}/usr/local" FORCE)
        else()
            message(STATUS "Use default MAKE_INSTALL_PREFIX due to ${MSYS_ERR}")
        endif()
    endif()
endif()

include(build/CMakeModules/CheckLFS.cmake)
option(WITH_LFS "Enable Large File Support" ON)
check_lfs(WITH_LFS)

# Build shared and static libs by default
# If LINK_APPS_SHARED=ON, link applications to libqhull_r.so

include(CMakeDependentOption)
option(BUILD_STATIC_LIBS "Build static libraries" ON)
option(BUILD_SHARED_LIBS "Build shared library" ON)
set(_NO_STATIC_LIBS NOCACHE INTERNAL (NOT ${BUILD_STATIC_LIBS}))
cmake_dependent_option(LINK_APPS_SHARED "Use shared library for linking applications"
    _NO_STATIC_LIBS
    "BUILD_SHARED_LIBS;BUILD_STATIC_LIBS"
    ${BUILD_SHARED_LIBS}
)

if(INCLUDE_INSTALL_DIR)
else()
    set(INCLUDE_INSTALL_DIR include)
endif()
if(LIB_INSTALL_DIR)
else()
    set(LIB_INSTALL_DIR lib)
endif()
if(BIN_INSTALL_DIR)
else()
    set(BIN_INSTALL_DIR bin)
endif()
if(MAN_INSTALL_DIR)
else()
    set(MAN_INSTALL_DIR share/man/man1)
endif()
if(DOC_INSTALL_DIR)
else()
    set(DOC_INSTALL_DIR share/doc/qhull)
endif()
message(STATUS)
message(STATUS "========== qhull Build Information ==========")
message(STATUS "Build Version:                             ${qhull_VERSION}")
message(STATUS "Install Prefix (CMAKE_INSTALL_PREFIX):     ${CMAKE_INSTALL_PREFIX}")
message(STATUS "Binary Directory (BIN_INSTALL_DIR):        ${BIN_INSTALL_DIR}")
message(STATUS "Library Directory (LIB_INSTALL_DIR):       ${LIB_INSTALL_DIR}")
message(STATUS "Include Directory (INCLUDE_INSTALL_DIR):   ${INCLUDE_INSTALL_DIR}")
message(STATUS "Documentation Directory (DOC_INSTALL_DIR): ${DOC_INSTALL_DIR}")
message(STATUS "Man Pages Directory (MAN_INSTALL_DIR):     ${MAN_INSTALL_DIR}")
message(STATUS "Build Type (CMAKE_BUILD_TYPE):             ${CMAKE_BUILD_TYPE}")
message(STATUS "Build static libraries:                    ${BUILD_STATIC_LIBS}")
message(STATUS "Build shared library:                      ${BUILD_SHARED_LIBS}")
message(STATUS "Use shared library for linking apps:       ${LINK_APPS_SHARED}")
message(STATUS "To override these options, add -D{OPTION_NAME}=... to the cmake command")
message(STATUS "  Build the debug targets                  -DCMAKE_BUILD_TYPE=Debug")
message(STATUS)
message(STATUS "To build and install qhull, enter \"make\" and \"make install\"")
message(STATUS "To smoketest qhull, enter \"ctest\"")
message(STATUS)

# ---------------------------------------
# Define library source files and variables
#
# Files for individual targets are defined with the target
# ---------------------------------------

# Order libqhull object files by frequency of execution.  Small files at end.

# Non-reentrant Qhull
set(
    libqhull_HEADERS
        src/libqhull/libqhull.h
        src/libqhull/geom.h
        src/libqhull/io.h
        src/libqhull/mem.h
        src/libqhull/merge.h
        src/libqhull/poly.h
        src/libqhull/qhull_a.h
        src/libqhull/qset.h
        src/libqhull/random.h
        src/libqhull/stat.h
        src/libqhull/user.h
)
set(
    libqhull_SOURCES
        src/libqhull/global.c
        src/libqhull/stat.c
        src/libqhull/geom2.c
        src/libqhull/poly2.c
        src/libqhull/merge.c
        src/libqhull/libqhull.c
        src/libqhull/geom.c
        src/libqhull/poly.c
        src/libqhull/qset.c
        src/libqhull/mem.c
        src/libqhull/random.c
        src/libqhull/usermem.c
        src/libqhull/userprintf.c
        src/libqhull/io.c
        src/libqhull/user.c
        src/libqhull/rboxlib.c
        src/libqhull/userprintf_rbox.c
        ${libqhull_HEADERS}
)

set(
    testqset_HEADERS
        src/libqhull/mem.h
        src/libqhull/qset.h
)
set(
    testqset_SOURCES
        src/libqhull/qset.c
        src/libqhull/mem.c
        src/libqhull/usermem.c
        src/testqset/testqset.c
        ${testqset_HEADERS}
)

# Reeentrant Qhull

set(
    libqhullr_HEADERS
        src/libqhull_r/libqhull_r.h
        src/libqhull_r/geom_r.h
        src/libqhull_r/io_r.h
        src/libqhull_r/mem_r.h
        src/libqhull_r/merge_r.h
        src/libqhull_r/poly_r.h
        src/libqhull_r/qhull_ra.h
        src/libqhull_r/qset_r.h
        src/libqhull_r/random_r.h
        src/libqhull_r/stat_r.h
        src/libqhull_r/user_r.h
)
set(
    libqhullr_SOURCES
        src/libqhull_r/global_r.c
        src/libqhull_r/stat_r.c
        src/libqhull_r/geom2_r.c
        src/libqhull_r/poly2_r.c
        src/libqhull_r/merge_r.c
        src/libqhull_r/libqhull_r.c
        src/libqhull_r/geom_r.c
        src/libqhull_r/poly_r.c
        src/libqhull_r/qset_r.c
        src/libqhull_r/mem_r.c
        src/libqhull_r/random_r.c
        src/libqhull_r/usermem_r.c
        src/libqhull_r/userprintf_r.c
        src/libqhull_r/io_r.c
        src/libqhull_r/user_r.c
        src/libqhull_r/rboxlib_r.c
        src/libqhull_r/userprintf_rbox_r.c
        ${libqhullr_HEADERS}
)

set(
    testqsetr_HEADERS
        src/libqhull_r/mem_r.h
        src/libqhull_r/qset_r.h
)
set(
    testqsetr_SOURCES
        src/libqhull_r/qset_r.c
        src/libqhull_r/mem_r.c
        src/libqhull_r/usermem_r.c
        src/testqset_r/testqset_r.c
        ${testqsetr_HEADERS}
)

# C++ interface to reentrant Qhull

set(
    libqhullcpp_HEADERS
        src/libqhullcpp/Coordinates.h
        src/libqhullcpp/functionObjects.h
        src/libqhullcpp/PointCoordinates.h
        src/libqhullcpp/Qhull.h
        src/libqhullcpp/QhullError.h
        src/libqhullcpp/QhullFacet.h
        src/libqhullcpp/QhullFacetList.h
        src/libqhullcpp/QhullFacetSet.h
        src/libqhullcpp/QhullHyperplane.h
        src/libqhullcpp/QhullIterator.h
        src/libqhullcpp/QhullLinkedList.h
        src/libqhullcpp/QhullPoint.h
        src/libqhullcpp/QhullPoints.h
        src/libqhullcpp/QhullPointSet.h
        src/libqhullcpp/QhullQh.h
        src/libqhullcpp/QhullRidge.h
        src/libqhullcpp/QhullSet.h
        src/libqhullcpp/QhullSets.h
        src/libqhullcpp/QhullStat.h
        src/libqhullcpp/QhullUser.h
        src/libqhullcpp/QhullVertex.h
        src/libqhullcpp/QhullVertexSet.h
        src/libqhullcpp/RboxPoints.h
        src/libqhullcpp/RoadError.h
        src/libqhullcpp/RoadLogEvent.h
        src/qhulltest/RoadTest.h
)

set(
    libqhullcpp_SOURCES
        src/libqhullcpp/Coordinates.cpp
        src/libqhullcpp/PointCoordinates.cpp
        src/libqhullcpp/Qhull.cpp
        src/libqhullcpp/QhullFacet.cpp
        src/libqhullcpp/QhullFacetList.cpp
        src/libqhullcpp/QhullFacetSet.cpp
        src/libqhullcpp/QhullHyperplane.cpp
        src/libqhullcpp/QhullPoint.cpp
        src/libqhullcpp/QhullPointSet.cpp
        src/libqhullcpp/QhullPoints.cpp
        src/libqhullcpp/QhullQh.cpp
        src/libqhullcpp/QhullRidge.cpp
        src/libqhullcpp/QhullSet.cpp
        src/libqhullcpp/QhullStat.cpp
        src/libqhullcpp/QhullUser.cpp
        src/libqhullcpp/QhullVertex.cpp
        src/libqhullcpp/QhullVertexSet.cpp
        src/libqhullcpp/RboxPoints.cpp
        src/libqhullcpp/RoadError.cpp
        src/libqhullcpp/RoadLogEvent.cpp
        ${libqhullcpp_HEADERS}
)

# Documentation files (index.htm refers to html/...)

set(
    doc_FILES
        README.txt 
        REGISTER.txt 
        Announce.txt 
        COPYING.txt 
        index.htm
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)

set(qhull_CPP qhullcpp)
set(qhull_STATIC qhullstatic)
set(qhull_STATICR qhullstatic_r)
set(qhull_SHAREDR qhull_r)

=== debian/changelog ===
qhull (2020.2-7) unstable; urgency=medium

  * Bump CMake policy minimum version to 3.5 (Closes: #1113442)
  * Bump Standards-Version to 4.7.2
  * Wrap and sort Debian package files

 -- Timo Röhling <roehling@debian.org>  Tue, 02 Sep 2025 12:53:42 +0200

qhull (2020.2-6) unstable; urgency=medium

  * Avoid deprecation warning with CMake 3.27 (Closes: #1040724)

 -- Timo Röhling <roehling@debian.org>  Sun, 09 Jul 2023 23:44:21 +0200

qhull (2020.2-5) unstable; urgency=medium

  * Update my email address
  * Enable LTO build
  * Bump Standards-Version to 4.6.1

 -- Timo Röhling <roehling@debian.org>  Fri, 01 Jul 2022 22:02:20 +0200

qhull (2020.2-4) unstable; urgency=medium

  * Recommend -dev package for the header symlinks (Closes: #988869)

 -- Timo Röhling <roehling@debian.org>  Sun, 15 Aug 2021 21:49:17 +0200

qhull (2020.2-3) unstable; urgency=medium

  * New approach to filter libstdc++ symbols (should fix FTBFS on kfreebsd-*)
  * Add myself as uploader

 -- Timo Röhling <timo@gaussglocke.de>  Thu, 26 Nov 2020 23:59:26 +0100

qhull (2020.2-2) unstable; urgency=medium

  * Team upload.

  [ Jochen Sprickerhof ]
  * Drop ldconfig (not needed)

  [ Timo Röhling ]
  * Fix d/watch
  * Add new autopkgtest that verifies functionality

 -- Timo Röhling <timo@gaussglocke.de>  Thu, 12 Nov 2020 19:01:23 +0100

qhull (2020.2-1) unstable; urgency=medium

  * Team upload.

  [ Barak A. Pearlmutter ]
  * uscan version 4

  [ Timo Röhling ]
  * Rewrite manual pages in groff and update links
  * Mark autopkgtest as superficial
  * New upstream version 2020.2
  * Add warning to README.Debian that the non-reentrant libqhull
    is likely to be discontinued after the 8.0.x releases.

 -- Timo Röhling <timo@gaussglocke.de>  Wed, 11 Nov 2020 15:10:39 +0100

=== debian/control ===
Source: qhull
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
Uploaders:
 Barak A. Pearlmutter <bap@debian.org>,
 Timo Röhling <roehling@debian.org>,
Standards-Version: 4.7.2
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 pkg-kde-tools,
Homepage: https://www.qhull.org
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/science-team/qhull.git
Vcs-Browser: https://salsa.debian.org/science-team/qhull

Package: libqhull8.0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: calculate convex hulls and related structures (shared library)
 Qhull computes convex hulls, Delaunay triangulations, halfspace
 intersections about a point, Voronoi diagrams, furthest-site
 Delaunay triangulations, and furthest-site Voronoi diagrams. It
 runs in 2-d, 3-d, 4-d, and higher dimensions.
 .
 This package contains the shared C library.

Package: libqhull-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libqhull-r8.0 (= ${binary:Version}),
 libqhull8.0 (= ${binary:Version}),
 libqhullcpp8.0 (=${binary:Version}),
 ${misc:Depends},
Description: calculate convex hulls and related structures (development files)
 Qhull computes convex hulls, Delaunay triangulations, halfspace
 intersections about a point, Voronoi diagrams, furthest-site
 Delaunay triangulations, and furthest-site Voronoi diagrams. It
 runs in 2-d, 3-d, 4-d, and higher dimensions.
 .
 This package contains the files necessary for development (headers and
 libraries), as well as the library documentation in HTML format.

Package: libqhull-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 libqhull-dev (= ${binary:Version}),
Description: calculate convex hulls and related structures (documentation files)
 Qhull computes convex hulls, Delaunay triangulations, halfspace
 intersections about a point, Voronoi diagrams, furthest-site
 Delaunay triangulations, and furthest-site Voronoi diagrams. It
 runs in 2-d, 3-d, 4-d, and higher dimensions.
 .
 This package contains the documentation for Qhull.

Package: libqhull-r8.0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: calculate convex hulls and related structures (reentrant shared library)
 Qhull computes convex hulls, Delaunay triangulations, halfspace
 intersections about a point, Voronoi diagrams, furthest-site
 Delaunay triangulations, and furthest-site Voronoi diagrams. It
 runs in 2-d, 3-d, 4-d, and higher dimensions.
 .
 This package contains the reentrant version of the shared C library.

Package: libqhullcpp8.0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: calculate convex hulls and related structures (C++ shared library)
 Qhull computes convex hulls, Delaunay triangulations, halfspace
 intersections about a point, Voronoi diagrams, furthest-site
 Delaunay triangulations, and furthest-site Voronoi diagrams. It
 runs in 2-d, 3-d, 4-d, and higher dimensions.
 .
 This package contains the shared C++ library.

Package: qhull-bin
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 geomview,
Description: calculate convex hulls and related structures (utilities)
 Qhull computes convex hulls, Delaunay triangulations, halfspace
 intersections about a point, Voronoi diagrams, furthest-site
 Delaunay triangulations, and furthest-site Voronoi diagrams. It
 runs in 2-d, 3-d, 4-d, and higher dimensions.
 .
 This package contains the qhull executable that gives a pipe interface to
 some of the functionality of the library.  Also included is rbox is a
 useful tool in generating input for Qhull; it generates hypercubes,
 diamonds, cones, circles, simplices, spirals, lattices, and random points.
 .
 Qhull produces graphical output for Geomview.  This helps with
 understanding the output (http://www.geomview.org).

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+all future=+lfs optimize=+lto

include /usr/share/dpkg/architecture.mk

%:
	dh $@ --buildsystem=cmake --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure 						\
		--buildsystem=cmake					\
		--builddir=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)		\
		--                        				\
		-DCMAKE_POLICY_MINIMUM_VERSION=3.5                      \
		-DCMAKE_SKIP_RPATH=ON                                   \
		-DINCLUDE_INSTALL_DIR=include                           \
		-DLINK_APPS_SHARED=ON					\
		-DLIB_INSTALL_DIR=lib/$(DEB_HOST_MULTIARCH)             \
		-DBIN_INSTALL_DIR=bin                                   \
		-DMAN_INSTALL_DIR=share/man/man1                        \
		-DDOC_INSTALL_DIR=share/doc/libqhull-dev/qhull

execute_after_dh_auto_build:
	@echo "Building man pages"
	cd debian &&							\
	for info in 							\
	    "qconvex:compute the convex hull:qconvex"			\
	    "qdelaunay:compute the Delaunay triangulation:qdelaun"	\
	    "qhalf:halfspace intersection about a point:qhalf"		\
	    "qvoronoi:compute the Voronoi diagram:qvoronoi";		\
	do								\
	      comm=$$(echo  $$info | cut -d: -f1) &&			\
	      purp=$$(echo  $$info | cut -d: -f2) &&			\
	      doc=$$(echo   $$info | cut -d: -f3) &&			\
	      COMM=$$(echo  $$comm | tr [:lower:] [:upper:]) &&		\
	      echo -n Building man page for $$comm... &&		\
	      sed -e "s/#command#/$$comm/g" -e "s/#purpose#/$$purp/g"	\
	          -e "s/#COMMAND#/$$COMM/g" -e "s/#doc#/$$doc/g"	\
	          manpage.in > $$comm.1 &&				\
	      echo " done";						\
	  done

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	env LD_LIBRARY_PATH=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) \
	    PATH=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE):$$PATH \
	    eg/q_test
endif

override_dh_auto_install:
	dh_auto_install --buildsystem=cmake

execute_after_dh_auto_install:
	@echo "No need for extra copy of license"
	rm --verbose debian/tmp/usr/share/doc/libqhull-dev/qhull/COPYING.txt
	@echo "No need for doc/ copies of man pages in ../../man/man1/ or for other formats."
	@for f in qhull rbox; do \
	  for ext in man txt; do \
	    rm --verbose debian/tmp/usr/share/doc/libqhull-dev/qhull/html/$$f.$$ext || true; \
	  done \
	done
	rm --verbose debian/tmp/usr/share/doc/libqhull-dev/qhull/src/Changes.txt

override_dh_installchangelogs:
	dh_installchangelogs src/Changes.txt

execute_before_dh_link-indep:
	mkdir -p debian/libqhull-doc/usr/share/doc/libqhull-dev/qhull/src/libqhull_r
	@for f in $$(cd debian/tmp && echo usr/include/libqhull_r/*.h); do \
	  ln --verbose -s /$$f debian/libqhull-doc/usr/share/doc/libqhull-dev/qhull/src/libqhull_r/; \
	done

override_dh_compress:
	dh_compress -X.c -X.h -X.txt

=== debian/tests/control ===
Tests:
 build,
Depends:
 cmake,
 g++ | c++-compiler,
 gcc | c-compiler,
 libqhull-dev,
 pkg-config,
Restrictions:
 superficial,

Tests:
 compute,
Depends:
 qhull-bin,

=== debian/watch ===
version=4
opts=pagemangle=s/(?i)">\s*download:?\s+qhull\s+(\d\S+)\s+for\s+unix/?version=$1">/g,\
     downloadurlmangle=s/\?version=\d\S+$// \
http://www.qhull.org/download/ .+\?version=(\d\S+)
